GWT 2.7.0

## com.google.gwt.dom.client
Enum Style.TextAlign

    java.lang.Object
      java.lang.Enum<Style.TextAlign>
          com.google.gwt.dom.client.Style.TextAlign

All Implemented Interfaces:
  Style.HasCssName, java.io.Serializable, java.lang.Comparable<Style.TextAlign>

Enclosing class:
  Style

    public static enum Style.TextAlign

extends java.lang.Enum<Style.TextAlign>
implements Style.HasCssName

Enum for the text-align property.

Enum Constant Summary
`CENTER`
`JUSTIFY`
`LEFT`
`RIGHT`

Method Summary
`abstract java.lang.String` | `getCssName()` Gets the CSS name associated with this value.
`static Style.TextAlign` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Style.TextAlign[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CENTER

    public static final Style.TextAlign CENTER

### JUSTIFY

    public static final Style.TextAlign JUSTIFY

### LEFT

    public static final Style.TextAlign LEFT

### RIGHT

    public static final Style.TextAlign RIGHT

Method Detail

### values

    public static Style.TextAlign[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Style.TextAlign c : Style.TextAlign.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Style.TextAlign valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCssName

    public abstract java.lang.String getCssName()

  Description copied from interface: `Style.HasCssName`
  Gets the CSS name associated with this value.

  Specified by:
    `getCssName` in interface `Style.HasCssName`

GWT 2.7.0